import { ROLLDIALOG_SECTION, RollPart } from "./roll-part.mjs"

export const PART_RESISTANCE = "resistance"

export class RollPartResistance extends RollPart {

  get code() { return PART_RESISTANCE }
  get section() { return ROLLDIALOG_SECTION.ACTION }

  isValid(rollData) { return rollData.type.resistance == true }
  title(rollData) { return "de résistance" }
}
